/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	基本画面 LO一覧ペイン　レコード情報管理クラス
//			変更履歴
//				2004/01/08	新規作成		Nijou  
//
package jp.co.ntt.lms.xms.login.base;

import jp.co.ntt.lms.xmo.Base.Gui.BaseDisplayData;

/**
 * 
 * 基本画面 LO一覧ペインの1レコード分の情報管理クラス
 * @author user
 */
public class ShowLoChildrenRecordBean {

	/** タイトル */
	private String title;
	/** 詳細 */
	private String descript;
	/** LO種別 */
	private String loType;
	/** 親ID */
	private String parentId;
	/** LOID */
	private String loId;
	/** ステータス */
	private int status;
	/** 前提条件 */
	private String prerequisite;
	/** アサイン有効・無効 判定オブジェクト */
	private boolean assignUsable;
	/** 前提条件を満たしているかどうか */
	private boolean fillPrerequisite;
	/** 学習期間より前かどうか */
	private boolean isBeforeStudy;
	/** 学習期間を過ぎているかどうか */
	private boolean isAfterStudy;


	/**
	 * @return isAfterStudy を戻します。
	 */
	public boolean getIsAfterStudy() {
		return isAfterStudy;
	}
	/**
	 * @param isAfterStudy isAfterStudy を設定。
	 */
	public void setIsAfterStudy(boolean isafterstudy) {
		this.isAfterStudy = isafterstudy;
	}
	/**
	 * @return isBeforeStudy を戻します。
	 */
	public boolean getIsBeforeStudy() {
		return isBeforeStudy;
	}
	/**
	 * @param isBeforeStudy isBeforeStudy を設定。
	 */
	public void setIsBeforeStudy(boolean isbeforestudy) {
		this.isBeforeStudy = isbeforestudy;
	}
	/**
	 * コンストラクタ
	 * @param BaseDisplayData
	 */
	public ShowLoChildrenRecordBean(String parentId, BaseDisplayData display) {
		this.parentId = parentId;
		this.title = display.getTitle();
		this.descript = display.getDescription();
		this.loType = display.getType();
		this.loId = display.getID();
		this.prerequisite = display.getPrere();
		// アサイン有効・無効をデフォルトでtrueにする。
		this.assignUsable = true;
		
		//学習期間かどうかの変数を初期化
		this.isAfterStudy = false;
		this.isBeforeStudy = false;
	}
	/**
	 * 内部に保持している条件によって、LOアイコンのサフィクスを返します。<BR>
	 * <PRE>
	 * 1. アサイン有効・無効判定
	 *       無効 → "AN"
	 *       有効 → 2 へ
	 * 2. 前提条件の設定チェック
	 *       未設定 → 4 へ
	 *       設定あり → 3 へ
	 * 3. 前提条件を満たしているか、満たしていないかのチェック
	 *       満たしている → "ZC"
	 *       満たしていない → "ZN"
	 * 4. デフォルトパターン
	 *       → サフィクスなし
	 * </PRE>
	 * @return String アイコンサフィクス
	 */
	public String getIconSuffix() {
		
		
		String suffix = null;
		
		// アサイン有効・無効判定
		if( !assignUsable ) {
			// アサインが無効な場合は
			suffix = "AN";
		}
		// 前提条件チェック
		else if( prerequisite != null && !prerequisite.equals("") ) {
			// 前提条件が存在する場合
			if( fillPrerequisite ) {
				// 前提条件を満たしている場合
				suffix = "ZC";
			}
			else {
				suffix = "ZN";
			}
		}
		// デフォルト
		else {
			suffix = "";
		}

		return suffix;

	}
	
	/**
	 * Returns the descript.
	 * @return String
	 */
	public String getDescript() {
		return descript;
	}

	/**
	 * Returns the loId.
	 * @return String
	 */
	public String getLoId() {
		return loId;
	}

	/**
	 * Returns the loType.
	 * @return String
	 */
	public String getLoType() {
		return loType;
	}

	/**
	 * Returns the parentId.
	 * @return String
	 */
	public String getParentId() {
		return parentId;
	}

	/**
	 * Returns the status.
	 * @return int
	 */
	public int getStatus() {
		return status;
	}

	/**
	 * Returns the title.
	 * @return String
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Sets the descript.
	 * @param descript The descript to set
	 */
	public void setDescript(String descript) {
		this.descript = descript;
	}

	/**
	 * Sets the loId.
	 * @param loId The loId to set
	 */
	public void setLoId(String loId) {
		this.loId = loId;
	}

	/**
	 * Sets the loType.
	 * @param loType The loType to set
	 */
	public void setLoType(String loType) {
		this.loType = loType;
	}

	/**
	 * Sets the parentId.
	 * @param parentId The parentId to set
	 */
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	/**
	 * Sets the status.
	 * @param status The status to set
	 */
	public void setStatus(int status) {
		this.status = status;
	}

	/**
	 * Sets the title.
	 * @param title The title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Returns the prerequisite.
	 * @return String
	 */
	public String getPrerequisite() {
		return prerequisite;
	}

	/**
	 * Returns the usable.
	 * @return AssignUsableList
	 */
	public boolean getAssignUsable() {
		return assignUsable;
	}

	/**
	 * Sets the prerequisite.
	 * @param prerequisite The prerequisite to set
	 */
	public void setPrerequisite(String prerequisite) {
		this.prerequisite = prerequisite;
	}

	/**
	 * Sets the usable.
	 * @param assignUsable The usable to set
	 */
	public void setAssignUsable(boolean assignUsable) {
		this.assignUsable = assignUsable;
	}

	/**
	 * Returns the fillPrerequisite.
	 * @return boolean
	 */
	public boolean isFillPrerequisite() {
		return fillPrerequisite;
	}

	/**
	 * Sets the fillPrerequisite.
	 * @param fillPrerequisite The fillPrerequisite to set
	 */
	public void setFillPrerequisite(boolean fillPrerequisite) {
		this.fillPrerequisite = fillPrerequisite;
	}

}
